Data Fields

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - m -

- EINA_MAGIC : _Eina_File
- magic : _Evas_Engine_Info
- major : _Ecore_Ipc_Event_Client_Data , _Ecore_Ipc_Event_Server_Data , _Edje_Version , _Eina_Version , _Eio_Version , _Eldbus_Version , _Evas_Version
- manager : _Efl_Ui_Widget_Focus_State
- map : _Eina_File , _Eina_File_Map , _Eina_Lines_Iterator
- mapping : _Elm_Store_Item_Info
- mask_flags : _Old_Edje_Part
- max : _Edje_External_Param_Info , _Eina_Inarray , _Eio_Progress , _Old_Edje_Part_Collection , Efreet_Icon_Theme_Directory
- max_byte_count : _Elm_Entry_Filter_Limit_Size
- max_char_count : _Elm_Entry_Filter_Limit_Size
- mem : _Eina_Rw_Slice , _Eina_Slice
- mem_alloc : _Eet_Data_Descriptor_Class
- mem_free : _Eet_Data_Descriptor_Class
- member_add : _Evas_Smart_Class
- member_count : _Eina_Value_Struct_Desc
- member_del : _Evas_Smart_Class
- member_size : _Eina_Inarray
- members : _Eina_Inarray , _Eina_Value_Struct_Desc
- memory : _Eina_Value_Struct
- merge : _Edje_Entry_Change_Info
- metavar : _Ecore_Getopt_Desc
- methods : _Eldbus_Introspection_Interface , _Eldbus_Service_Interface_Desc
- methods2 : _Eldbus_Service_Interface_Desc2
- micro : _Ecore_Version , _Ecore_X_Version , _Edje_Version , _Eet_Version , _Eeze_Version , _Efreet_Version , _Eina_Version , _Eio_Version , _Eldbus_Version , _Embryo_Version , _Emotion_Version , _Ethumb_Version , _Evas_Version
- mime_type_accept_set : _Ecore_IMF_Context_Class
- mime_types : _Ecore_IMF_Event_Commit_Content , _Efreet_Desktop
- min : _Edje_External_Param_Info , _Old_Edje_Part_Collection , Efreet_Icon_Theme_Directory
- minor : _Ecore_Ipc_Event_Client_Data , _Ecore_Ipc_Event_Server_Data , _Ecore_Version , _Ecore_X_Version , _Edje_Version , _Eet_Version , _Eeze_Version , _Efreet_Version , _Eina_Version , _Eio_Version , _Eldbus_Version , _Embryo_Version , _Emotion_Version , _Ethumb_Version , _Evas_Version
- mode : _Eina_Stat , _Elm_Gengrid_Data
- model_bound : _Efl_Ui_Layout_Data
- model_watch : _Efl_Ui_Layout_Data
- modifiers : _Ecore_Event_Key , _Ecore_Event_Mouse_Button , _Ecore_Event_Mouse_IO , _Ecore_Event_Mouse_Move , _Ecore_Event_Mouse_Wheel , _Ecore_IMF_Event_Key_Down , _Ecore_IMF_Event_Key_Up , _Ecore_IMF_Event_Mouse_Down , _Ecore_IMF_Event_Mouse_In , _Ecore_IMF_Event_Mouse_Move , _Ecore_IMF_Event_Mouse_Out , _Ecore_IMF_Event_Mouse_Up , _Ecore_IMF_Event_Mouse_Wheel , _Ecore_Win32_Event_Mouse_In , _Ecore_Win32_Event_Mouse_Out , _Evas_Event_Key_Down , _Evas_Event_Key_Up , _Evas_Event_Mouse_Down , _Evas_Event_Mouse_In , _Evas_Event_Mouse_Move , _Evas_Event_Mouse_Out , _Evas_Event_Mouse_Up , _Evas_Event_Mouse_Wheel , _Evas_Event_Multi_Down , _Evas_Event_Multi_Move , _Evas_Event_Multi_Up
- mods : _Ecore_X_Event_Xkb
- module : _Edje_External_Type
- module_name : _Edje_External_Type
- momentum : _Elm_Gesture_Line_Info , _Elm_Gesture_Rotate_Info , _Elm_Gesture_Zoom_Info
- momentum_animator : _Elm_Scrollable_Smart_Interface_Data
- mouse_down : _Elm_Gengrid_Data , _Elm_List_Data , _Elm_Toolbar_Data
- mouse_events : _Old_Edje_Part
- move : _Evas_Smart_Class , _Evas_Video_Surface
- mtime : _Eina_File , _Eina_Stat , _Old_Edje_File
- mtimensec : _Eina_Stat
- multi_select_mode : _Elm_Gengrid_Data , _Elm_Genlist_Data , _Elm_List_Data
- multiline : _Old_Edje_Part
- multiple_buffer : _Evas_Native_Surface
- multisample_bits : _Evas_GL_Config
- mx : _Elm_Gesture_Momentum_Info
- my : _Elm_Gesture_Momentum_Info